import { getAssociatedTokenAddress } from '@solana/spl-token';
import { ChainContext, } from '@wormhole-foundation/connect-sdk';
import { SolanaAddress } from './address';
export class SolanaChain extends ChainContext {
    async getTokenAccount(address, token) {
        const mint = new SolanaAddress(token).unwrap();
        const owner = new SolanaAddress(address).unwrap();
        const ata = await getAssociatedTokenAddress(mint, owner);
        return {
            chain: this.chain,
            address: new SolanaAddress(ata.toString()),
        };
    }
}
//# sourceMappingURL=chain.js.map